## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class XMLDataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
                          org.eclipse.datatools.modelbase.sql.datatypes.impl.XMLDataTypeImpl

All Implemented Interfaces:
  DataType, PredefinedDataType, SQLDataType, XMLDataType, SQLObject

    public class XMLDataTypeImpl

extends PredefinedDataTypeImpl
implements XMLDataType

An implementation of the model object 'XML Data Type'.

Method Summary

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
`eGet, eIsSet, eSet, eUnset, getPrimitiveType, setPrimitiveType, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eInverseAdd, eInverseRemove, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.